﻿Public Class Form1
    Private Declare Function OpenDevice Lib "edu05d.dll" () As Integer
    Private Declare Sub CloseDevice Lib "edu05d.dll" ()
    Private Declare Function ReadAllDigital Lib "edu05d.dll" () As Integer
    Private Declare Sub InOutMode Lib "edu05d.dll" (ByVal IOMode As Integer)

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim h As Integer
        h = OpenDevice()                ' try to open the USB link to EDU05
        If h > 0 Then
            Label1.Text = "EDU05 connected."
            InOutMode(1)                ' set the EDU05 to input mode
            Timer1.Enabled = True       ' enable the timer to check the EDU05 buttons
        Else
            Label1.Text = "EDU05 not found."
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        CloseDevice()           ' disconnect the USB link to EDU05
        Label1.Text = "EDU05 disconnected."
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim i As Integer
        i = ReadAllDigital()
        ' check the individual bits of i to detect the pressed buttons
        If (i And 1) > 0 Then Label3.Text = "SW1 = Pressed" Else Label3.Text = "SW1 = Released"
        If (i And 2) > 0 Then Label4.Text = "SW2 = Pressed" Else Label4.Text = "SW2 = Released"
        If (i And 4) > 0 Then Label5.Text = "SW3 = Pressed" Else Label5.Text = "SW3 = Released"
        If (i And 8) > 0 Then Label6.Text = "SW4 = Pressed" Else Label6.Text = "SW4 = Released"
        If (i And 16) > 0 Then Label7.Text = "SW5 = Pressed" Else Label7.Text = "SW5 = Released"
        If (i And 32) > 0 Then Label8.Text = "SW6 = Pressed" Else Label8.Text = "SW6 = Released"
        If (i And 64) > 0 Then Label9.Text = "SW7 = Pressed" Else Label9.Text = "SW7 = Released"
        If (i And 128) > 0 Then Label10.Text = "SW8 = Pressed" Else Label10.Text = "SW8 = Released"
    End Sub
End Class
