﻿Public Class Form1
    Private Declare Function OpenDevice Lib "edu05d.dll" () As Integer
    Private Declare Sub CloseDevice Lib "edu05d.dll" ()
    Private Declare Sub InOutMode Lib "edu05d.dll" (ByVal IOMode As Integer)
    Private Declare Sub OutputAllDigital Lib "edu05d.dll" (ByVal Data As Integer)
    Private Declare Sub ClearAllDigital Lib "edu05d.dll" ()


    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim h As Integer
        h = OpenDevice()                ' try to open the USB link to EDU05
        If h > 0 Then
            Label1.Text = "EDU05 connected."
            InOutMode(0)                ' set the EDU05 to output mode
        Else
            Label1.Text = "EDU05 not found."
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        CloseDevice()           ' disconnect the USB link to EDU05
        Label1.Text = "EDU05 disconnected."
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        OutputAllDigital(1)     ' set LD1: decimal value '1' in binary form is '00000001' 
        ' value is used as binary to set the LEDs
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        OutputAllDigital(2)     ' set LD2: decimal value '2' in binary form is '00000010' 
        ' value is used as binary to set the LEDs

    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        OutputAllDigital(4 + 8 + 16)     ' set LD3, LD4 and LD5: decimal value '28' in binary form is '00011100' 
        ' value is used as binary to set the LEDs
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        ClearAllDigital()
    End Sub
End Class
