﻿Public Class Form1
    Dim IOMode As Integer
    Private Declare Function OpenDevice Lib "edu05d.dll" () As Integer
    Private Declare Sub CloseDevice Lib "edu05d.dll" ()
    Private Declare Function Connected Lib "edu05d.dll" () As Boolean
    Private Declare Function ReadAnalogChannel Lib "edu05d.dll" (ByVal Channel As Integer) As Integer
    Private Declare Function ReadAllDigital Lib "edu05d.dll" () As Integer
    Private Declare Sub SetPWM Lib "edu05d.dll" (ByVal Channel As Integer, ByVal Data As Integer)
    Private Declare Sub InOutMode Lib "edu05d.dll" (ByVal IOMode As Integer)
    Private Declare Sub OutputAllDigital Lib "edu05d.dll" (ByVal Data As Integer)
    Private Declare Sub ClearAllDigital Lib "edu05d.dll" ()
    Private Declare Sub SetAllDigital Lib "edu05d.dll" ()
    Private Declare Sub ClearDigitalChannel Lib "edu05d.dll" (ByVal Channel As Integer)
    Private Declare Sub SetDigitalChannel Lib "edu05d.dll" (ByVal Channel As Integer)
    Private Declare Sub LCDInit Lib "edu05d.dll" ()
    Private Declare Sub LCDClear Lib "edu05d.dll" ()
    Private Declare Sub LCDWriteString Lib "edu05d.dll" (ByVal Data As String, ByVal Position As Integer)

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim h As Integer
        h = OpenDevice()

        Select h
            Case 0
                Label1.Text = "EDU05 not found"
            Case 1
                Label1.Text = "EDU05 connected"
                IOMode = 1
                InOutMode(IOMode)
                RadioButton3.Checked = True
                Timer1.Enabled = True
        End Select
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim i As Integer
        Dim Buffer(5) As Integer
        Timer1.Enabled = False

        If Connected() Then
            Label1.Text = "EDU05 connected"
        Else
            Label1.Text = "EDU05 not connected"
        End If

        For i = 0 To 4
            Buffer(i) = ReadAnalogChannel(i + 1)
        Next
        ProgressBar1.Value = Buffer(0)
        Label4.Text = CStr(Buffer(0))
        ProgressBar2.Value = Buffer(1)
        Label5.Text = CStr(Buffer(1))
        ProgressBar3.Value = Buffer(2)
        Label7.Text = CStr(Buffer(2))
        ProgressBar4.Value = Buffer(3)
        Label9.Text = CStr(Buffer(3))
        ProgressBar5.Value = Buffer(4)
        Label11.Text = CStr(Buffer(4))

        i = ReadAllDigital()
        CheckBox1.Checked = (i And 1)
        CheckBox2.Checked = (i And 2) \ 2
        CheckBox3.Checked = (i And 4) \ 4
        CheckBox4.Checked = (i And 8) \ 8
        CheckBox5.Checked = (i And 16) \ 16
        CheckBox6.Checked = (i And 32) \ 32
        CheckBox7.Checked = (i And 64) \ 64
        CheckBox8.Checked = (i And 128) \ 128

        Timer1.Enabled = True
    End Sub

    Private Sub button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button6.Click
        CloseDevice()
    End Sub

    Private Sub Form1_FormClosed(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles MyBase.FormClosed
        CloseDevice()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        IOMode = 0
        InOutMode(IOMode)
        SetAllDigital()
        RadioButton4.Checked = True
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        IOMode = 0
        InOutMode(IOMode)
        ClearAllDigital()
        RadioButton4.Checked = True
    End Sub

    Private Sub button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button4.Click
        InOutMode(0)
        LCDClear()
        InOutMode(IOMode)
    End Sub

    Private Sub button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button5.Click
        InOutMode(0)
        LCDWriteString(textBox1.Text, CInt(textBox2.Text))
        InOutMode(IOMode)
    End Sub

    Private Sub RadioButton3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton3.CheckedChanged
        IOMode = 1
        InOutMode(IOMode)
    End Sub

    Private Sub RadioButton4_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton4.CheckedChanged
        IOMode = 0
        InOutMode(IOMode)
    End Sub

    Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged
        If IOMode = 0 Then
            If CheckBox1.Checked Then
                SetDigitalChannel(1)
            Else
                ClearDigitalChannel(1)
            End If
        End If
    End Sub

    Private Sub CheckBox2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox2.CheckedChanged
        If IOMode = 0 Then
            If CheckBox2.Checked Then
                SetDigitalChannel(2)
            Else
                ClearDigitalChannel(2)
            End If
        End If
    End Sub

    Private Sub CheckBox3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox3.CheckedChanged
        If IOMode = 0 Then
            If CheckBox3.Checked Then
                SetDigitalChannel(3)
            Else
                ClearDigitalChannel(3)
            End If
        End If
    End Sub

    Private Sub CheckBox4_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox4.CheckedChanged
        If IOMode = 0 Then
            If CheckBox4.Checked Then
                SetDigitalChannel(4)
            Else
                ClearDigitalChannel(4)
            End If
        End If
    End Sub

    Private Sub CheckBox5_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox5.CheckedChanged
        If IOMode = 0 Then
            If CheckBox5.Checked Then
                SetDigitalChannel(5)
            Else
                ClearDigitalChannel(5)
            End If
        End If
    End Sub

    Private Sub CheckBox6_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox6.CheckedChanged
        If IOMode = 0 Then
            If CheckBox6.Checked Then
                SetDigitalChannel(6)
            Else
                ClearDigitalChannel(6)
            End If
        End If
    End Sub

    Private Sub CheckBox7_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox7.CheckedChanged
        If IOMode = 0 Then
            If CheckBox7.Checked Then
                SetDigitalChannel(7)
            Else
                ClearDigitalChannel(7)
            End If
        End If
    End Sub

    Private Sub CheckBox8_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox8.CheckedChanged
        If IOMode = 0 Then
            If CheckBox8.Checked Then
                SetDigitalChannel(8)
            Else
                ClearDigitalChannel(8)
            End If
        End If
    End Sub

    Private Sub TrackBar1_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TrackBar1.Scroll
        SetPWM(1, TrackBar1.Value)
        Label15.Text = CStr(TrackBar1.Value)
    End Sub

    Private Sub TrackBar2_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TrackBar2.Scroll
        SetPWM(2, TrackBar2.Value)
        Label16.Text = CStr(TrackBar2.Value)
    End Sub
End Class
