unit EDU05GDmo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, jpeg;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Timer1: TTimer;
    Button3: TButton;
    Image1: TImage;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Panel7: TPanel;
    Panel8: TPanel;
    Panel9: TPanel;
    Panel10: TPanel;
    Panel11: TPanel;
    Panel12: TPanel;
    Panel13: TPanel;
    Panel14: TPanel;
    Panel15: TPanel;
    Panel16: TPanel;
    Image2: TImage;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    CheckBox1: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Panel9Click(Sender: TObject);
    procedure Panel10Click(Sender: TObject);
    procedure Panel11Click(Sender: TObject);
    procedure Panel12Click(Sender: TObject);
    procedure Panel13Click(Sender: TObject);
    procedure Panel14Click(Sender: TObject);
    procedure Panel15Click(Sender: TObject);
    procedure Panel16Click(Sender: TObject);
    procedure ClearNow;
    procedure CheckBox1Click(Sender: TObject);


  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Cleared, Binary: boolean;
  VirtualButton: integer;
implementation

{$R *.DFM}
function OpenDevice: integer; stdcall; external 'EDU05D.dll';
procedure CloseDevice; stdcall; external 'EDU05D.dll';
function Connected: boolean; stdcall; external 'EDU05D.dll';
function ReadAnalogChannel(Channel: integer):integer; stdcall; external 'EDU05D.dll';
function ReadAllDigital: integer; stdcall; external 'EDU05D.dll';
procedure SetPWM(Channel: integer; Data: integer); stdcall; external 'EDU05D.dll';
procedure InOutMode(IOMode: integer);stdcall;  external 'EDU05D.dll';
procedure OutputAllDigital(Data: integer);stdcall;  external 'EDU05D.dll';
procedure ClearAllDigital; stdcall; external 'EDU05D.dll';
procedure SetAllDigital; stdcall; external 'EDU05D.dll';
procedure ClearDigitalChannel(Channel: integer); stdcall; external 'EDU05D.dll';
procedure SetDigitalChannel(Channel: integer); stdcall; external 'EDU05D.dll';

procedure LCDInit; stdcall; external 'EDU05D.dll';
procedure LCDClear; stdcall; external 'EDU05D.dll';
procedure LCDWriteString(Data: PChar; Position: integer); stdcall; external 'EDU05D.dll';
procedure StartupDemo(onoff: integer); stdcall; external 'EDU05D.dll';
function ReadBackStartupDemo: boolean; stdcall; external 'EDU05D.dll';

procedure TForm1.Button1Click(Sender: TObject);
begin
  Timer1.enabled:=false;
  case OpenDevice of
    0: begin
         label1.font.color:=clred;
         label1.caption:='EDU05 not found';
        end;
    1: begin
         label1.font.color:=clblack;
         label1.caption:='EDU05 connected';
         InOutMode(1);
         Timer1.enabled:=true;
       end;
  end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  CloseDevice;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var i, tmp: integer;
ok:boolean;
s: string;
Data: array [0..4] of integer;
begin
  timer1.enabled:=false;

  if Connected then
  begin
    label1.font.color:=clblack;
    label1.caption:='EDU05 connected';
    ok:=true;
  end
  else
  begin
    label1.font.color:=clred;
    label1.caption:='EDU05 disconnected';
    ok:=false;
  end;

  InOutMode(1);        // input mode
  for i:=0 to 4 do
    Data[i]:=ReadAnalogChannel(i+1);
  i:=ReadAllDigital;
  InOutMode(0);        // output mode

  tmp:=Data[0];        // RV1 position
  SetPWM(2,tmp div 4);
  tmp:=tmp div 8 + $80;
  Image1.Canvas.Brush.Color:=256*tmp+tmp;
  Image1.Canvas.Pen.Color:=256*tmp+tmp;
  Image1.Canvas.Ellipse(375,372,409,406);

  if i=0 then
    i:=VirtualButton
  else
  begin
    if VirtualButton>0 then
    begin
      i:=0;
      VirtualButton:=0;
    end;
  end;
    
  case i of
    1: begin
         Cleared:=false;
         s:='Button = SW1';
         Panel9.Color:=$b0b0b0;
         if binary then
         begin
           Panel8.Color:=$40ff;
           OutputAllDigital(128);
         end
         else
         begin
           Panel1.Color:=$40ff;
           OutputAllDigital(1);
         end;
       end;
    2: begin        //2
         Cleared:=false;
         s:='Button = SW2';
         Panel10.Color:=$b0b0b0;
         if binary then
         begin
           Panel7.Color:=$40ff;
           OutputAllDigital(64);
         end
         else
         begin
           Panel2.Color:=$40ff;
           OutputAllDigital(2);
         end;
       end;
    4: begin         //3
         Cleared:=false;
         s:='RV1 = '+IntToStr(Data[0]*100 div 1023)+'%  ';
         Panel11.Color:=$b0b0b0;
         if binary then
         begin
           Panel7.Color:=$40ff;
           Panel8.Color:=$40ff;
           OutputAllDigital(64+128);
         end
         else
         begin
           Panel3.Color:=$40ff;
           OutputAllDigital(4);
         end;
       end;
    8: begin           //4
         Cleared:=false;
         s:='RV2 = '+IntToStr(Data[1]*100 div 1023)+'%  ';
         Panel12.Color:=$b0b0b0;
         if binary then
         begin
           Panel6.Color:=$40ff;
           OutputAllDigital(32);
         end
         else
         begin
           Panel4.Color:=$40ff;
           OutputAllDigital(8);
         end;
       end;
   16: begin          //5
         Cleared:=false;
         s:='Temp. = '+IntToStr((Data[2]-155)*10 div 31)+'C  ';
         Panel13.Color:=$b0b0b0;
         if binary then
         begin
           Panel8.Color:=$40ff;
           Panel6.Color:=$40ff;
           OutputAllDigital(32+128);
         end
         else
         begin
           Panel5.Color:=$40ff;
           OutputAllDigital(16);
         end;
       end;
   32: begin          //6
         Cleared:=false;
         if Data[3] > 0 then
           s:='NTC = '+IntToStr((1023-Data[3])*10000 div Data[3])+'ohm  ';
         Panel14.Color:=$b0b0b0;
         if binary then
         begin
           Panel6.Color:=$40ff;
           Panel7.Color:=$40ff;
           OutputAllDigital(32+64);
         end
         else
         begin
           Panel6.Color:=$40ff;
           OutputAllDigital(32);
         end;
       end;
   64: begin         //7
         Cleared:=false;
         if Data[4] > 0 then
           s:='LDR = '+IntToStr((1023-Data[4])*10000 div Data[4])+'ohm  ';
         Panel15.Color:=$b0b0b0;
         if binary then
         begin
           Panel6.Color:=$40ff;
           Panel7.Color:=$40ff;
           Panel8.Color:=$40ff;
           OutputAllDigital(32+64+128);
         end
         else
         begin
           Panel7.Color:=$40ff;
           OutputAllDigital(64);
         end;
       end;
  128: begin         //8
         Cleared:=false;
         s:='Button = SW8';
         Panel16.Color:=$b0b0b0;
         if binary then
         begin
           Panel5.Color:=$40ff;
           OutputAllDigital(16);
         end
         else
         begin
           Panel8.Color:=$40ff;
           OutputAllDigital(128);
         end;
       end;
  else
       begin
         if not Cleared then
           ClearNow;
       end;
  end;
  
  if not Cleared then
  begin
    BitBlt(Image1.canvas.handle, 50,110,350,60,
      Image2.Canvas.Handle, 50, 110, SRCCOPY);
    SetBkMode(Image1.Canvas.handle,TRANSPARENT);
    Image1.Canvas.TextOut(60,120,s);
    LCDWriteString(PChar(s),0);
  end;
  if ok then
    timer1.enabled:=true;
end;

procedure TForm1.ClearNow;
begin
  Cleared:=true;
  ClearAllDigital;
  LCDClear;
  Panel1.Color:=$404040;
  Panel2.Color:=$404040;
  Panel3.Color:=$404040;
  Panel4.Color:=$404040;
  Panel5.Color:=$404040;
  Panel6.Color:=$404040;
  Panel7.Color:=$404040;
  Panel8.Color:=$404040;
  Panel9.Color:=clGray;
  Panel10.Color:=clGray;
  Panel11.Color:=clGray;
  Panel12.Color:=clGray;
  Panel13.Color:=clGray;
  Panel14.Color:=clGray;
  Panel15.Color:=clGray;
  Panel16.Color:=clGray;
  BitBlt(Image1.canvas.handle, 50,110,350,60,
    Image2.Canvas.Handle, 50, 110, SRCCOPY);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  timer1.enabled:=false;
  CloseDevice;
  label1.font.color:=clred;
  label1.caption:='EDU05 disconnected';
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  DoubleBuffered := True;
 // Image1.Canvas.Font.Style:=[fsBold];
 // Image1.Canvas.Font.Name:='Courier New';
  Image1.Canvas.Font.Color:=$101010;
  Image1.Canvas.Font.Name:='MS Sans Serif';
  Image1.Canvas.Font.Size:=26;

  Panel1.Color:=$404040;
  Panel2.Color:=$404040;
  Panel3.Color:=$404040;
  Panel4.Color:=$404040;
  Panel5.Color:=$404040;
  Panel6.Color:=$404040;
  Panel7.Color:=$404040;
  Panel8.Color:=$404040;
end;

procedure TForm1.Panel9Click(Sender: TObject);
begin
  ClearNow;
  if VirtualButton=1 then
    VirtualButton:=0
  else
    VirtualButton:=1;
end;

procedure TForm1.Panel10Click(Sender: TObject);
begin
  ClearNow;
  if VirtualButton=2 then
    VirtualButton:=0
  else
    VirtualButton:=2;
end;

procedure TForm1.Panel11Click(Sender: TObject);
begin
  ClearNow;
  if VirtualButton=4 then
    VirtualButton:=0
  else
    VirtualButton:=4;
end;

procedure TForm1.Panel12Click(Sender: TObject);
begin
  ClearNow;
  if VirtualButton=8 then
    VirtualButton:=0
  else
    VirtualButton:=8;
end;

procedure TForm1.Panel13Click(Sender: TObject);
begin
  ClearNow;
  if VirtualButton=16 then
    VirtualButton:=0
  else
    VirtualButton:=16;
end;

procedure TForm1.Panel14Click(Sender: TObject);
begin
  ClearNow;
  if VirtualButton=32 then
    VirtualButton:=0
  else
    VirtualButton:=32;
end;

procedure TForm1.Panel15Click(Sender: TObject);
begin
  ClearNow;
  if VirtualButton=64 then
    VirtualButton:=0
  else
    VirtualButton:=64;
end;

procedure TForm1.Panel16Click(Sender: TObject);
begin
  ClearNow;
  if VirtualButton=128 then
    VirtualButton:=0
  else
    VirtualButton:=128;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.checked then
  begin
    Binary:=true;
    Label2.caption:='Press SW1 to show binary "1"';
    Label3.caption:='Press SW2 to show binary "2"';
    Label4.caption:='Press SW3 to display RV1 value and show binary "3"';
    Label5.caption:='Press SW4 to display RV2 value and show binary "4"';
    Label6.caption:='Press SW5 to display temperature and show binary "5"';
    Label7.caption:='Press SW6 to display NTC1 value and show binary "6"';
    Label8.caption:='Press SW7 to display NTC1 value and show binary "8"';
    Label9.caption:='Press SW8 to show binary "8"';
  end
  else
  begin
    Binary:=false;
    Label2.caption:='Press SW1 to turn on LD1';
    Label3.caption:='Press SW2 to turn on LD2';
    Label4.caption:='Press SW3 to display RV1 value and turn on LD3';
    Label5.caption:='Press SW4 to display RV2 value and turn on LD4';
    Label6.caption:='Press SW5 to display temperature and turn on LD5';
    Label7.caption:='Press SW6 to display NTC1 value and turn on LD6';
    Label8.caption:='Press SW7 to display LDR1 value and turn on LD7';
    Label9.caption:='Press SW8 to turn on LD8';
  end;
  ClearNow;
end;

end.
